Skip to main content
GET
/
nft
/
owners
/
contract
Get Contract NFT Owners
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/nft/owners/contract \
  --header 'X-API-KEY: <api-key>'
{
  "owners": [
    {
      "ownerAddress": "0x18a808dd312736fc75eb967fc61990af726f04e4",
      "quantity": "18",
      "acquiredDate": "2022-05-10T02:22:25Z"
    }
  ],
  "cursor": "ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="
}

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<number>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
100,
10143,
10200,
11011,
11124,
11155111,
11155420,
1135,
1284,
1285,
130,
1301,
137,
168587773,
1868,
1946,
2020,
25,
250,
2741,
300,
324,
33111,
33139,
360,
369,
37111,
4202,
42161,
421614,
43113,
43114,
480,
4801,
534351,
534352,
5371,
5373,
545,
56,
59141,
59144,
747,
7777777,
80002,
80094,
81457,
8453,
84532,
88882,
88888,
97,
999999999
Example:

1

contractAddress
string
default:0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8
required

The address of the NFT collection to query.

Example:

"0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8"

cursor
string

Cursor from previous query to get next page of results.

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Overrides our autorouting. Only specify this parameter if you would like to specify only a single provider to use for this request.

Available options:
Alchemy,
Moralis

Response

200 - application/json
owners
object[]
required
cursor
string
required
Example:

"ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="